AnsweredAssumed Answered

How to get the feature name of Cut-Extrude?

Question asked by Yong Ning on Dec 9, 2014
Latest reply on Dec 9, 2014 by Yong Ning

0.jpg

How to obtain sketh name? | SOLIDWORKS Forums

https://forum.solidworks.com/message/339500#339500

************************************************************************

Sketch →

        Set SwFeat = .GetActiveSketch

        SwFeat.Select True

        Debug.Print SwFeat.Name

???

Help me

FeatureManager.FeatureCut → How to get feature name of Cut-Extrude1 name?

 

 

************************************************************************

 

 

Private Sub ll()

  Dim SwApp As SldWorks.SldWorks, SwModel As ModelDoc2

     Set SwApp = Application.SldWorks

     Set SwModel = SwApp.ActiveDoc

  Dim SwSelMgr As SelectionMgr, Tmp

     Set SwSelMgr = SwModel.SelectionManager

 

  Dim SwAnn As Annotation, S As Sketch

     With SwModel

        Tmp = .Extension.SelectByID2("", "Face", 0, 0, 0, False, 0, Nothing, 0)

        .CreateCircleByRadius2 0, 0, 0, 0.025

        .FeatureManager.FeatureCut True, False, False, 1, 0, 0.01, 0.01, False, False, False, False, 0, 0, False, False, False, False, 0, 1, 1

     End With

End Sub

Attachments

Outcomes